export default class CollectionFields extends React.PureComponent<any, any, any> {
    static propTypes: {
        onChange: PropTypes.Validator<(...args: any[]) => any>;
        serverVersion: PropTypes.Requireable<string>;
        withDatabase: PropTypes.Requireable<boolean>;
        configuredKMSProviders: PropTypes.Requireable<any[]>;
        currentTopologyType: PropTypes.Requireable<string>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    state: {
        isCapped: boolean;
        isCustomCollation: boolean;
        isTimeSeries: boolean;
        isClustered: boolean;
        isFLE2: boolean;
        fields: {
            cappedSize: string;
            collation: {};
            collectionName: string;
            databaseName: string;
            timeSeries: {};
            expireAfterSeconds: string;
            clusteredIndex: {
                name: string;
                unique: boolean;
                key: {
                    _id: number;
                };
            };
            fle2: {
                encryptedFields: string;
                kmsProvider: any;
                keyEncryptionKey: string;
            };
        };
    };
    setField(fieldName: any, value: any): void;
    updateOptions: () => void;
    buildOptions(): {};
    render(): JSX.Element;
}
import React from 'react';
import PropTypes from 'prop-types';
//# sourceMappingURL=collection-fields.d.ts.map