import React, { PureComponent } from 'react';
import type { CreateNamespaceOptions } from '../modules/create-namespace';
type CreateNamespaceModalProps = {
    databaseName?: string | null;
    isRunning: boolean;
    isVisible: boolean;
    error: Error | null;
    createNamespace(data: CreateNamespaceOptions): void;
    toggleIsVisible(newVisible: boolean): void;
    clearError(): void;
    serverVersion: string;
    configuredKMSProviders?: string[];
    currentTopologyType?: string;
};
declare class CreateDatabaseModal extends PureComponent<CreateNamespaceModalProps, {
    data: Partial<CreateNamespaceOptions>;
}> {
    state: {
        data: Partial<CreateNamespaceOptions>;
    };
    errorBannerRef: React.RefObject<HTMLDivElement>;
    onDismissErrorMessage: () => void;
    onCancel: () => void;
    onConfirm: () => void;
    onChange: (data: Partial<CreateNamespaceOptions>) => void;
    renderError(): JSX.Element | undefined;
    renderCollectionNameRequiredNotice(): JSX.Element;
    render(): JSX.Element;
    componentDidUpdate(): void;
}
declare const MappedCreateDatabaseModal: import("react-redux").ConnectedComponent<typeof CreateDatabaseModal, {
    ref?: React.LegacyRef<CreateDatabaseModal> | undefined;
    key?: React.Key | null | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default MappedCreateDatabaseModal;
export { CreateDatabaseModal };
//# sourceMappingURL=create-namespace-modal.d.ts.map