/// <reference types="react" />
import { dataServiceLocator, type DataServiceLocator } from 'mongodb-data-service/provider';
import type { WorkspaceComponent } from '@mongodb-js/compass-workspaces';
export declare const CollectionsWorkspaceTab: WorkspaceComponent<'Collections'>;
export declare const DatabasesWorkspaceTab: WorkspaceComponent<'Databases'>;
export declare const CreateNamespacePlugin: import("hadron-app-registry").HadronPluginComponent<{
    ref?: import("react").LegacyRef<import("./components/create-namespace-modal").CreateDatabaseModal> | undefined;
    key?: import("react").Key | null | undefined;
    context?: import("react").Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}, {
    logger: () => import("@mongodb-js/compass-logging/provider").LoggerAndTelemetry;
    dataService: DataServiceLocator<"createCollection" | "createDataKey" | "configuredKMSProviders">;
    instance: () => import("mongodb-instance-model").MongoDBInstance;
    workspaces: () => import("@mongodb-js/compass-workspaces/provider").WorkspacesService;
}>;
export declare const DropNamespacePlugin: import("hadron-app-registry").HadronPluginComponent<{}, {
    logger: () => import("@mongodb-js/compass-logging/provider").LoggerAndTelemetry;
    dataService: DataServiceLocator<"dropCollection" | "dropDatabase">;
}>;
export declare const RenameCollectionPlugin: import("hadron-app-registry").HadronPluginComponent<{
    context?: import("react").Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}, {
    dataService: typeof dataServiceLocator<'renameCollection'>;
    instance: () => import("mongodb-instance-model").MongoDBInstance;
    queryStorage: () => import("@mongodb-js/my-queries-storage/provider").FavoriteQueryStorageAccess | undefined;
    pipelineStorage: () => import("@mongodb-js/my-queries-storage/provider").PipelineStorage | undefined;
}>;
//# sourceMappingURL=index.d.ts.map