import type Collection from 'mongodb-collection-model';
import type Database from 'mongodb-database-model';
import type { MongoDBInstance } from 'mongodb-instance-model';
import type { Action, AnyAction, Reducer } from 'redux';
import type { ThunkAction } from 'redux-thunk';
import type { CollectionsThunkExtraArg } from '../stores/collections-store';
export type CollectionsState = {
    collections: ReturnType<Collection['toJSON']>[];
    collectionsLoadingStatus: {
        status: Database['collectionsStatus'];
        error: string | null;
    };
    instance: {
        isWritable: boolean;
        isDataLake: boolean;
    };
};
export type CollectionsThunkAction<R, A extends Action = AnyAction> = ThunkAction<R, CollectionsState, CollectionsThunkExtraArg, A>;
export declare const collectionsChanged: (database: Database) => {
    type: string;
    status: "initial" | "error" | "fetching" | "refreshing" | "ready";
    error: string | null;
    collections: import("mongodb-collection-model").CollectionProps[];
};
export declare const instanceChanged: (instance: MongoDBInstance) => {
    type: string;
    isWritable: boolean;
    isDataLake: boolean;
};
declare const reducer: Reducer<CollectionsState>;
export declare const refreshCollections: () => CollectionsThunkAction<void>;
export declare const createNewCollection: (dbName: string) => CollectionsThunkAction<void>;
export declare const deleteCollection: (namespace: string) => CollectionsThunkAction<void>;
export default reducer;
//# sourceMappingURL=collections.d.ts.map