import type { Reducer } from 'redux';
import type { DataService } from 'mongodb-data-service';
import type { CreateNamespaceThunkAction } from '../stores/create-namespace';
export declare const NO_DOT = "Database names may not contain a \".\"";
type CreateNamespaceState = {
    isRunning: boolean;
    isVisible: boolean;
    databaseName: string | null;
    error: Error | null;
    serverVersion: string;
    currentTopologyType: string;
    configuredKMSProviders: ReturnType<DataService['configuredKMSProviders']>;
};
export declare const INITIAL_STATE: {
    isRunning: boolean;
    isVisible: boolean;
    databaseName: null;
    error: null;
    serverVersion: string;
    configuredKMSProviders: never[];
    currentTopologyType: "Unknown";
};
export declare const RESET = "databases-collections/reset";
export declare const reset: () => {
    type: string;
};
export declare const open: (dbName?: string | null) => CreateNamespaceThunkAction<void>;
export declare const HANDLE_ERROR = "databases-collections/error/HANDLE_ERROR";
export declare const handleError: (error: Error) => {
    type: string;
    error: Error;
};
export declare const CLEAR_ERROR = "databases-collections/error/CLEAR_ERROR";
export declare const clearError: () => {
    type: string;
};
export declare const TOGGLE_IS_RUNNING = "databases-collections/is-running/TOGGLE_IS_RUNNING";
export declare const toggleIsRunning: (isRunning: boolean) => {
    type: string;
    isRunning: boolean;
};
export declare const TOGGLE_IS_VISIBLE = "databases-collections/is-visible/TOGGLE_IS_VISIBLE";
export declare const toggleIsVisible: (isVisible: boolean) => {
    type: string;
    isVisible: boolean;
};
export declare const TOPOLOGY_CHANGED = "databases-collections/TOPOLOGY_CHANGED";
export declare const topologyChanged: (newTopology: string) => {
    type: string;
    newTopology: string;
};
declare const reducer: Reducer<CreateNamespaceState>;
export type CreateNamespaceOptions = {
    database?: string;
    collection: string;
    options: {
        capped?: boolean;
        size?: number;
        collation?: Record<string, unknown>;
        timeseries?: Record<string, unknown>;
        expireAfterSeconds?: number;
        clusteredIndex?: Record<string, unknown>;
        encryptedFields?: string;
        keyEncryptionKey?: string;
        kmsProvider?: string;
    };
};
export declare function handleFLE2Options(ds: Pick<DataService, 'createDataKey'>, options?: CreateNamespaceOptions['options']): Promise<{
    capped?: boolean | undefined;
    size?: number | undefined;
    collation?: Record<string, unknown> | undefined;
    timeseries?: Record<string, unknown> | undefined;
    expireAfterSeconds?: number | undefined;
    clusteredIndex?: Record<string, unknown> | undefined;
    encryptedFields?: string | undefined;
    keyEncryptionKey?: string | undefined;
    kmsProvider?: string | undefined;
} | undefined>;
export declare const createNamespace: (data: CreateNamespaceOptions) => CreateNamespaceThunkAction<Promise<void>>;
export default reducer;
//# sourceMappingURL=create-namespace.d.ts.map