import type { Action, AnyAction, Reducer } from 'redux';
import type { MongoDBInstance } from '@mongodb-js/compass-app-stores/provider';
import type { ThunkAction } from 'redux-thunk';
import type AppRegistry from 'hadron-app-registry';
export type Database = MongoDBInstance['databases'] extends Array<infer Db> ? Db : never;
export type DatabasesState = {
    databases: ReturnType<Database['toJSON']>[];
    databasesLoadingStatus: {
        status: string;
        error: string | null;
    };
    instance: {
        isWritable: boolean;
        isGenuineMongoDB: boolean;
        isDataLake: boolean;
    };
};
type DatabasesThunkAction<R, A extends Action = AnyAction> = ThunkAction<R, DatabasesState, {
    globalAppRegistry: AppRegistry;
}, A>;
declare const reducer: Reducer<DatabasesState>;
export declare const instanceChanged: (instance: MongoDBInstance) => {
    type: string;
    isWritable: boolean;
    isDataLake: boolean;
    isGenuineMongoDB: boolean;
};
export declare const databasesChanged: (instance: MongoDBInstance) => {
    type: string;
    status: string;
    error: string | null;
    databases: import("mongodb-database-model").DatabaseProps[];
};
export declare const refreshDatabases: () => DatabasesThunkAction<void>;
export declare const createDatabase: () => DatabasesThunkAction<void>;
export declare const dropDatabase: (ns: string) => DatabasesThunkAction<void>;
export default reducer;
//# sourceMappingURL=databases.d.ts.map