import type { AnyAction } from 'redux';
import type { ThunkAction } from 'redux-thunk';
import type { Reducer } from 'redux';
import type { RenameCollectionPluginServices } from '../../stores/rename-collection';
export declare const open: ({ db, collection, collections, areSavedQueriesAndAggregationsImpacted, }: {
    db: string;
    collection: string;
    collections: {
        name: string;
    }[];
    areSavedQueriesAndAggregationsImpacted: boolean;
}) => {
    type: string;
    db: string;
    collection: string;
    collections: {
        name: string;
    }[];
    areSavedQueriesAndAggregationsImpacted: boolean;
};
export declare const close: () => {
    type: string;
};
export declare const renameRequestInProgress: () => {
    type: string;
};
export type RenameCollectionRootState = {
    error: Error | null;
    initialCollectionName: string;
    isRunning: boolean;
    isVisible: boolean;
    databaseName: string;
    collections: {
        name: string;
    }[];
    areSavedQueriesAndAggregationsImpacted: boolean;
};
declare const reducer: Reducer<RenameCollectionRootState, AnyAction>;
export default reducer;
export declare const hideModal: () => ThunkAction<void, RenameCollectionRootState, void, AnyAction>;
export declare const clearError: () => ThunkAction<void, RenameCollectionRootState, void, AnyAction>;
export declare const renameCollection: (newCollectionName: string) => ThunkAction<Promise<void>, RenameCollectionRootState, RenameCollectionPluginServices, AnyAction>;
//# sourceMappingURL=rename-collection.d.ts.map