import type AppRegistry from 'hadron-app-registry';
import type { DataService } from 'mongodb-data-service';
import type { MongoDBInstance } from 'mongodb-instance-model';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging';
import type { Action, AnyAction } from 'redux';
import type { ThunkAction } from 'redux-thunk';
import type { workspacesServiceLocator } from '@mongodb-js/compass-workspaces/provider';
export type CreateNamespaceServices = {
    dataService: Pick<DataService, 'createCollection' | 'createDataKey' | 'configuredKMSProviders'>;
    globalAppRegistry: AppRegistry;
    instance: MongoDBInstance;
    logger: LoggerAndTelemetry;
    workspaces: ReturnType<typeof workspacesServiceLocator>;
};
declare function configureStore(services: CreateNamespaceServices): import("redux").Store<{
    isRunning: boolean;
    isVisible: boolean;
    databaseName: string | null;
    error: Error | null;
    serverVersion: string;
    currentTopologyType: string;
    configuredKMSProviders: string[];
}, AnyAction> & {
    dispatch: import("redux-thunk").ThunkDispatch<any, CreateNamespaceServices, AnyAction>;
};
export type CreateNamespaceRootState = ReturnType<ReturnType<typeof configureStore>['getState']>;
export type CreateNamespaceThunkAction<R, A extends Action = AnyAction> = ThunkAction<R, CreateNamespaceRootState, CreateNamespaceServices, A>;
export declare function activatePlugin(_: unknown, services: CreateNamespaceServices): {
    store: import("redux").Store<{
        isRunning: boolean;
        isVisible: boolean;
        databaseName: string | null;
        error: Error | null;
        serverVersion: string;
        currentTopologyType: string;
        configuredKMSProviders: string[];
    }, AnyAction> & {
        dispatch: import("redux-thunk").ThunkDispatch<any, CreateNamespaceServices, AnyAction>;
    };
    deactivate(): void;
};
export {};
//# sourceMappingURL=create-namespace.d.ts.map